% Initialize WSDL Class to contact the FORCESPRO code generation server
%
% WSDLOBJ = initializeWSDL() initializes the WSDL class for the FORCESPRO
% codegen web service and returns wsdl OBJ (no arguments only work 
% with legacy WSDL communication)
%
% WSDLOBJ = initializeWSDL(SERVER) will use the SERVER url to communicate
% with the service for the new version of network communication
% (first argument necessary for non-legacy WSDL version of communication)
%
% WSDLOBJ = initializeWSDL(SERVER, FORCEGENERATEWSDL) will also generate the 
% WSDL class for the server connection without checking if it exists 
% if FORCEGENERATEWSDL is true
%
% WSDLOBJ = initializeWSDL(SERVER, FORCESGENERATEWSDL, LEGACYVERSION) will 
% use the old version for WSDL communication if LEGACYVERSION is true
%
% [WSDLOBJ, WSDLWASGENERATED] = initializeWSDL(_) will also return a bool
% value to WSDLWASGENERATED if the WSDL was generated by this call
%
% See also ForcesWeb WSDLclass finalizeWSDL
%
%
% This file is part of the FORCESPRO client software for Matlab.
% (c) embotech AG, 2013-2022, Zurich, Switzerland. All rights reserved.
